Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet.download
Class DataBaseDownloadReader

    java.lang.Object
      com.ejie.r01f.servlet.download.DataBaseDownloadReader

All Implemented Interfaces:
  DownloadContentReader

public class DataBaseDownloadReader
extends java.lang.Object
implements DownloadContentReader

Lee ficheros de base de datos para ser descargados a un navegador utilizando el DownloadServlet Los datos de la base de datos en el que estan los ficheros se establece en el fichero properties en una sección como: com.ejie.r01f.servlet.download.DataBaseReader r01DataBase

TEST

oid lob -- Cualquier configuración que haga falta --

Constructor Summary
`DataBaseDownloadReader()` Constructor for FileDownloadReader.

Method Summary
`java.io.InputStream` | `getBinaryStream()` Obtiene un InputStream al contenido a descargar
`java.lang.String` | `getResourceName()` Devuelve el nombre del recurso
`void` | `setConfig(java.util.Properties props)` Establece valores de configuración del partDigester (hay una propiedad especial "appCode" que indica el código de aplicación)
`void` | `setRequestParams(java.util.Map params)` Pasa los parametros de la request para que el ContentReader pueda obtener el recurso a descargar

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataBaseDownloadReader

    public DataBaseDownloadReader()

  Constructor for FileDownloadReader.

Method Detail

### setConfig

    public void setConfig(java.util.Properties props)

  Establece valores de configuración del partDigester (hay una propiedad especial "appCode" que indica el código de aplicación)

  Specified by:
    `setConfig` in interface `DownloadContentReader`

### getBinaryStream

    public java.io.InputStream getBinaryStream()
                                        throws java.io.IOException

  Obtiene un InputStream al contenido a descargar

  Specified by:
    `getBinaryStream` in interface `DownloadContentReader`
  Returns:
    (InputStream)El stream
  Throws:
    `java.io.IOException` - si hay algún error durante la lectura
  See Also:
    `DownloadContentReader.getBinaryStream()`

### setRequestParams

    public void setRequestParams(java.util.Map params)

  Description copied from interface: `DownloadContentReader`
  Pasa los parametros de la request para que el ContentReader pueda obtener el recurso a descargar

  Specified by:
    `setRequestParams` in interface `DownloadContentReader`

### getResourceName

    public java.lang.String getResourceName()

  Description copied from interface: `DownloadContentReader`
  Devuelve el nombre del recurso

  Specified by:
    `getResourceName` in interface `DownloadContentReader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD